<div class="main-content">
    <div class="container-fluid" *ngIf="$boards">
        <ng-container *ngIf="($boards | async) as boards">
            <mat-list>
                <mat-list-item *ngFor="let board of boards" [routerLink]="[board.id]" class="border clickable m-1">
                    <app-content-editable [value]="board.name" (save)="save(board, $event)">
                        <span>{{board.name}}</span>
                    </app-content-editable>
                    <span class="flex-spacer"></span>
                    <button mat-icon-button [matMenuTriggerFor]="menu" (click)="stopPropagation($event)">
                        <mat-icon>more_vert</mat-icon>
                    </button>
                    <mat-menu #menu="matMenu">
                        <button mat-menu-item (click)="removeBoard(board)">
                            <mat-icon>delete</mat-icon>
                            <span>Supprimer</span>
                        </button>
                    </mat-menu>
                </mat-list-item>
                <mat-list-item>
                    <app-content-editable class="full-width" (save)="create($event)">
                        <mat-icon>add_circle_outlined</mat-icon>
                    </app-content-editable>
                </mat-list-item>
            </mat-list>
        </ng-container>
    </div>
</div>
